/**
* @projectName   XinHu_VehicleID
* @brief         摘要
* 发卡系统中间类,负责转发串口接收的数据
* @author        ZhangYL
* @date          2022-02-11
*/
#ifndef BRIDGE_H
#define BRIDGE_H

#include <QObject>
#include <QThread>
#include "vehinfo.h"
#include "readEPC/readepccontrol.h"
#include "TCPSocketHelper/tcpsockethelper.h"
class Bridge : public QObject
{
    Q_OBJECT
public:
    explicit Bridge(QObject *parent = nullptr);
    ReadEPCControl *m_ReadEPCControl;   //定义EPC对象
    TCPSocketHelper *m_TCPSocketHelper; //定义网络助手对象

signals:
    void SendToReadEPCControl_Connect();
    void SendToWindow(QString data);
    void SendReadEPCControlStyatusToWindow(bool sattus);
    void SendBindingStatusToWindow(bool sattus);    //发送绑定结果
    void SendToTCPSocketHelper_Connect(QString Host,long Prot);
public slots:
    void SendToTCPSocketHelper(PacketBinding form);   //发送绑定信息
private:
    QThread *m_ReadEPCControl_thread;   //定义子线程
    //QThread *m_TCPSocketHelper_thread;   //定义网络子线程
};

#endif // BRIDGE_H
